
* {
    margin: 0;
    padding: 0;
  }
body{
    width: 100%;
	background-color: rgba(0,0,0,0.9);
}

header{
	display:flex;
   text-align: center;
    width: 100%;
    height: 8rem;
    background-image: url("../img/headerbackground.webp");
    background-repeat: no-repeat;
    filter: grayscale(90%);
	text-shadow: 4px 4px 5px black;
	vertical-align:middle;
	align-items:center;
	justify-content:center;
}
header h1{
    margin: 0;
    position: relative;
    color: white;
    filter: none;
}
img{
	border-radius: 20px;
}
.myNavbar{

    background-color: rgba(0, 0, 0, 0.8);
    color: greenyellow;
}
.myNavbar a{
    color: greenyellow;
}

.myNavbar a:hover{
    color: white;
}
span{
	color:white;
}
.myNavbar button{
    background-color: greenyellow;
	text-shadow: 4px 4px 5px gray;
	color:black;
}
.myNavbar i{
    color: white;
    font-size: 2.5em;
}
.myNavbar i:hover{
    color: greenyellow;
    font-size: 2.7em;

}
.myNavbar i:active{
    color: greenyellow;
    font-size: 2.4em;

}
#contenedorPrincipal img{
    width: 200px;
    height: 200px;
	
}
#contenedorPrincipal img{
    width: 200px;
    height: 200px;
}

#contenedorPrincipal img:hover{
    width: 205px;
    height: 205px;
}
.formBusqueda {
    display:flex !important;
}

.formBusqueda button{
    color:white;
}
.description{
    font-size: 0.8em;
}

/* Dropdown Button */
.dropbtn {
    background-color: #04AA6D;
    color: white;
    padding: 10px;
    margin-left: 5px;
    font-size: 16px;
    border: none;
    border-radius: 10%;
  }
  
  /* The container <div> - needed to position the dropdown content */
  .dropdown {
    position: relative;
    display: inline-block;
  }
  
  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
  }
  
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  .dropdown-content a:hover {background-color: yellowgreen;}

  .dropdown:hover .dropdown-content {display: block;}
  
  .dropdown:hover .dropbtn {background-color: #3e8e41;}

  .agregarCarrito{
    font-size: 2em;
	color:white;
  }
  .agregarCarrito:hover{
    font-size: 2.2em;
    color:yellowgreen;
  }
  .agregarCarrito:active{
    font-size: 2.2em;
    color:greenyellow;
    transform: rotate(-20deg);
  }

  .modalCarrito {
    visibility: hidden;
    position:fixed;
    top:0;
    left:0;
    right:0;
    bottom:0;
    background:rgba(0, 0, 0, 0.8);
    text-align:center;
}
.modalCarrito div div span{
	color:black;
}
.centered {
    padding:5px;
    background:#eee;
    border-radius:5px;
    display:inline-block;
    vertical-align:middle;
    max-width:80%;
    margin:10px;
}
/* .centered div span{

} */
.closeicon{
    color:red;
    margin-left: 90%;
    margin-top: 0;
    font-size: 1.5em;
}
.closeicon:hover{
    color:red;
    margin-left: 90%;
    font-size: 1.8em;
}
.closeicon:active{
    color:red;
    margin-left: 90%;
    font-size: 1.4em;
}
.modalCarrito:before {
    content:"";
    display:inline-block;
    width:0;
    height:100%;
    vertical-align:middle;
}
.modalCarrito table{
    overflow-y: scroll;
    overflow-x: scroll;
    display: inline-block;
    max-height: 78vh;
}
.modalCarrito table tr:hover{
    background-color: #cccc;
}
.mostrar{
  visibility: visible;
}
.ocultar{
  visibility: hidden;
}

footer{
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: center;
    background-color: black;
    color:yellowgreen;
    margin: 0;
}

footer p{
    text-align: center;
    margin: auto;
}
footer i{
    font-size: 10px;
    color:greenyellow;
}
footer i:hover{
    font-size: 15px;
    color:white;
}
.modalPago{
    width: 100vw;
}
.cuerpomodal{
    height: 90vh;
}
#btnVaciarCarrito{
    background-color: black;
    color:white;
    border: none;
    border-radius: 10%;
    padding: 2px;
}
#btnIrPago{
    background-color: black;
    color:white;
    border: none;
    border-radius: 10%;
    padding: 2px;
}

#btnVaciarCarrito:hover,#btnIrPago:hover{
    background-color: greenyellow;
    color:black;
}
.itemremove:hover{
    color: red;
    font-size: 17px;
}
.itemremove:active{
    color: red;
    font-size: 12px;
}
.vistaAnimaciones{
    visibility: hidden;
position: fixed;
width: 500px;
height: 200px;
top: 50%;
left: 50%;
}
.checkaparecer{
    animation-name: checkaparecer;
    animation-duration: 1s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
.textoaparecer{
    animation-name: textoAparecer;
    animation-duration: 1s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
}
.itemview:hover{
    color: blue;
    font-size: 17px;
}

.itemview:active{
    color: darkblue;
    font-size: 12px;
}

@keyframes checkaparecer {
    from{
        color: #3e8e41;
        font-size: 40px;
        rotate: (10deg);
        visibility: visible;
    }
    to{
        color: yellowgreen;
        font-size: 50px;
        rotate: (15deg);
        visibility: hidden;
    }
}
@keyframes textoAparecer {
    from{
        color: #3e8e41;
        font-size: 20px;
        visibility: visible;
    }
    to{
        color: yellowgreen;
        font-size: 30px;
        visibility: hidden;
    }
}